Customizing generated files
Prev | Chapter 6. Using the XSL stylesheets to generate HTML Help | Next

## Customizing generated files

### Enabling navigation links

By default, the HTML Help stylesheet disables navigation links at the start and the bottom of each page. If you want to enable the links instead, start your XSLT processor with the parameter `suppress.navigation` set to 0.

    saxon yourfile /path/to/stylesheets/htmlhelp/htmlhelp.xsl "suppress.navigation=0"

Another approach is to create a driver file, which overrides the default parameter value.

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    	        version="1.0">

      <xsl:import href="/path/to/stylesheets/htmlhelp/htmlhelp.xsl"/>

      <xsl:param name="suppress.navigation" select="0"/>

    </xsl:stylesheet>

### Generating HTML Help for non-Western European languages

If you are generating HTML Help for non-Western Europe languages, you should change the output encoding of your files, because the HTML Help compiler improperly handles UTF-8 and even character entities in the TOC file and index entries. This can be easily done using a “driver” file like this:

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    	        version="1.0">

      <xsl:import href="/path/to/stylesheets/contrib/htmlhelp/htmlhelp.xsl"/>

      <xsl:param name="htmlhelp.encoding" select="'windows-1250'"/>
      <xsl:param name="default.encoding" select="'windows-1250'"/>
      <xsl:param name="saxon.character.representation" select="'native'"/>

    </xsl:stylesheet>

Default encoding is ISO-8859-1 (aka ISO Latin 1). If you get some strange message about characters from your XSLT processor and your document is in some of Western European languages, try changing encoding to `windows-1252`. This encoding is similar to ISO-8859-1 but contains some additional characters like “typographical quotes” and dashes.

### More about customizing

More info will come in a near future (I hope and believe). Meanwhile look into reference for description of HTML Help specific parameters.

Prev | Up | Next
Chapter 6. Using the XSL stylesheets to generate HTML Help | Home | Feedback